package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.modelRule.EModelRule;

import java.util.List;

/**
 * 车型和收费方式关联Mapper接口
 *
 * @author qzz
 * @date 2024-11-29
 */
public interface EModelRuleMapper 
{
    /**
     * 查询车型和收费方式关联
     *
     * @param modelId 车型和收费方式关联主键
     * @return 车型和收费方式关联
     */
    public EModelRule selectEModelRuleByModelId(Long modelId);

    /**
     * 查询车型和收费方式关联列表
     *
     * @param eModelRule 车型和收费方式关联
     * @return 车型和收费方式关联集合
     */
    public List<EModelRule> selectEModelRuleList(EModelRule eModelRule);

    /**
     * 新增车型和收费方式关联
     *
     * @param eModelRule 车型和收费方式关联
     * @return 结果
     */
    public int insertEModelRule(EModelRule eModelRule);

    /**
     * 修改车型和收费方式关联
     *
     * @param eModelRule 车型和收费方式关联
     * @return 结果
     */
    public int updateEModelRule(EModelRule eModelRule);

    /**
     * 删除车型和收费方式关联
     *
     * @param modelId 车型和收费方式关联主键
     * @return 结果
     */
    public int deleteEModelRuleByModelId(Long modelId);

    /**
     * 批量删除车型和收费方式关联
     *
     * @param modelIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEModelRuleByModelIds(Long[] modelIds);
}
